Subject: bug#24849: Is Emacs put in idle mode when window is not focused?

From: Johan Andersson <[email-masked]>
Date: Wed, 2 Nov 2016 09:10:12 +0100

Seems like Alan had the solution above, but for reference I will answer
your question anyways.

> Does "database" mean a program running on your own machine?

Yes.

> Does "a web server" mean you're running Emacs on the web server machine
and using Emacs to control it?

No, both the database, web server and Emacs are running on my local machine.

Here is a scenario:

I develop a web application locally. To do that I need a web server,
database and a background worker. I have defined services for all of these.
When I work on this app, I start all of these services in Prodigy. Then I
visit for example http://localhost:3000 in my browser. The app also
connects to the database.